#include <stdio.h>

#ifdef __FLEXC__
#include <propeller.h>
#define P2_TARGET_MHZ 160
#include "sys/p2es_clock.h"
#define BAUD 230400
#endif

int test1(int x, unsigned char y)
{
    return y | (x << 8);
}

int test2(int x, unsigned char y)
{
    return (x << 8) | y;
}

void main(void)
{
    int x;
    unsigned char y;
    char inbuf[100];
#ifdef __FLEXC__
    clkset(_SETFREQ, _CLOCKFREQ);
    _setbaud(BAUD);
#endif
    gets(inbuf);
    x = inbuf[0];
    y = inbuf[1];
    printf("%8.8x %8.8x\n", test1(0x12, 0x34), test2(0x12, 0x34));
    printf("%8.8x %8.8x\n", test1(x, y), test2(x, y));
}
